
#ifndef __GRAPH_H_
#define __GRAPH_H_
#include<stdio.h>

	typedef struct graph *graph;

	graph initGraph(int size);
	graph createGraph(int graphSize);
	void printGraphDiagnostics(graph graph);
	void printGraph(graph graph);
	graph copyGraph(graph oldGraph);
	void deleteEdge(graph graph, int u, int v);
	void addEdge(graph graph, int u, int v);
	graph copyAndDeleteEdge(graph oldGraph, int u, int v);
	graph copyAndAddEdge(graph oldGraph, int u, int v);
	graph copyAndContractEdge(graph oldGraph, int u, int v);
	graph initGraph(int size);
	void convertToKerriGraph(graph graph);
	void revertToZoeGraph(graph graph);
	void setID(graph graph, int id);
	int getReferences(graph inpGraph);
#endif
